# org.pdfclown.documents.contents.objects.BeginMarkedContent Class Reference

'Begin marked-content sequence' operation [PDF:1.6:10.5]. More...

Inheritance diagram for org.pdfclown.documents.contents.objects.BeginMarkedContent:

List of all members.

## Public Member Functions
| BeginMarkedContent (PdfName tag, PdfDirectObject properties)
| BeginMarkedContent (PdfName tag)
PropertyList | GetProperties (IContentContext context)
| Gets the private information meaningful to the program (application or plugin extension) creating the marked content.
PropertyList | GetResource (IContentContext context)
virtual void | Scan (ContentScanner.GraphicsState state)
| Applies this object to the specified graphics context, updating the specified graphics state.
override string | ToString ()
override void | WriteTo (IOutputStream stream, Document context)
| Serializes this object to the specified stream.
## Static Public Member Functions
static Operation | Get (string operator_, IList< PdfDirectObject > operands)
| Gets an operation.
## Static Public Attributes
static readonly string | PropertyListOperatorKeyword = "BDC"
static readonly string | SimpleOperatorKeyword = "BMC"
## Protected Attributes
IList< PdfDirectObject > | operands
string | operator_
## Properties
PdfName | Name`[get, set]`
IList< PdfDirectObject > | Operands`[get]`
string | Operator`[get]`
object | Properties`[get, set]`
| Gets/Sets the private information meaningful to the program (application or plugin extension) creating the marked content. It can be either an inline PropertyList or the name of an external PropertyList resource.
override string | PropertyListOperator`[get]`
override string | SimpleOperator`[get]`
PdfName | Tag`[get, set]`
| Gets/Sets the marker indicating the role or significance of the marked content.

##

'Begin marked-content sequence' operation [PDF:1.6:10.5].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.objects.BeginMarkedContent.BeginMarkedContent | ( | PdfName | tag | ) |

org.pdfclown.documents.contents.objects.BeginMarkedContent.BeginMarkedContent | ( | PdfName | tag,
|  | PdfDirectObject | properties |
| ) |  |  |

## Member Function Documentation

static Operation org.pdfclown.documents.contents.objects.Operation.Get | ( | string | operator_,
|  | IList< PdfDirectObject > | operands |
| ) |  |  | `[static, inherited]`

Gets an operation.

Parameters:

  | operator_ | Operator.
  | operands | List of operands.

PropertyList org.pdfclown.documents.contents.objects.ContentMarker.GetProperties | ( | IContentContext | context | ) | `[inherited]`

Gets the private information meaningful to the program (application or plugin extension) creating the marked content.

Parameters:

  | context | Content context.

References org.pdfclown.documents.contents.Resources.PropertyLists, and org.pdfclown.documents.contents.IContentContext.Resources.

PropertyList org.pdfclown.documents.contents.objects.ContentMarker.GetResource | ( | IContentContext | context | ) | `[inherited]`

virtual void org.pdfclown.documents.contents.objects.ContentObject.Scan | ( | ContentScanner.GraphicsState | state | ) | `[virtual, inherited]`

Applies this object to the specified graphics context, updating the specified graphics state.

Parameters:

  | state | Graphics state.

Reimplemented in org.pdfclown.documents.contents.objects.ApplyExtGState, org.pdfclown.documents.contents.objects.BeginSubpath, org.pdfclown.documents.contents.objects.CloseSubpath, org.pdfclown.documents.contents.objects.CompositeObject, org.pdfclown.documents.contents.objects.DrawCurve, org.pdfclown.documents.contents.objects.DrawLine, org.pdfclown.documents.contents.objects.DrawRectangle, org.pdfclown.documents.contents.objects.LocalGraphicsState, org.pdfclown.documents.contents.objects.ModifyClipPath, org.pdfclown.documents.contents.objects.ModifyCTM, org.pdfclown.documents.contents.objects.PaintPath, org.pdfclown.documents.contents.objects.SetCharSpace, org.pdfclown.documents.contents.objects.SetDeviceCMYKFillColor, org.pdfclown.documents.contents.objects.SetDeviceCMYKStrokeColor, org.pdfclown.documents.contents.objects.SetDeviceGrayFillColor, org.pdfclown.documents.contents.objects.SetDeviceGrayStrokeColor, org.pdfclown.documents.contents.objects.SetDeviceRGBFillColor, org.pdfclown.documents.contents.objects.SetDeviceRGBStrokeColor, org.pdfclown.documents.contents.objects.SetFillColor, org.pdfclown.documents.contents.objects.SetFillColorSpace, org.pdfclown.documents.contents.objects.SetFont, org.pdfclown.documents.contents.objects.SetLineCap, org.pdfclown.documents.contents.objects.SetLineDash, org.pdfclown.documents.contents.objects.SetLineJoin, org.pdfclown.documents.contents.objects.SetLineWidth, org.pdfclown.documents.contents.objects.SetMiterLimit, org.pdfclown.documents.contents.objects.SetStrokeColor, org.pdfclown.documents.contents.objects.SetStrokeColorSpace, org.pdfclown.documents.contents.objects.SetTextLead, org.pdfclown.documents.contents.objects.SetTextMatrix, org.pdfclown.documents.contents.objects.SetTextRenderMode, org.pdfclown.documents.contents.objects.SetTextRise, org.pdfclown.documents.contents.objects.SetTextScale, org.pdfclown.documents.contents.objects.SetWordSpace, org.pdfclown.documents.contents.objects.ShowText, org.pdfclown.documents.contents.objects.TranslateTextRelative, and org.pdfclown.documents.contents.objects.TranslateTextToNextLine.

override string org.pdfclown.documents.contents.objects.Operation.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.documents.contents.objects.Operation.WriteTo | ( | IOutputStream | stream,
|  | Document | context |
| ) |  |  | `[virtual, inherited]`

Serializes this object to the specified stream.

Parameters:

  | stream | Target stream.
  | context | Document context.

Implements org.pdfclown.documents.contents.objects.ContentObject.

Reimplemented in org.pdfclown.documents.contents.objects.InlineImageBody.

References org.pdfclown.objects.PdfObjectWrapper.File, and org.pdfclown.bytes.IOutputStream.Write().

Referenced by org.pdfclown.documents.contents.objects.MarkedContent.WriteTo().

## Member Data Documentation

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.operands`[protected, inherited]`

string org.pdfclown.documents.contents.objects.Operation.operator_`[protected, inherited]`

readonly string org.pdfclown.documents.contents.objects.BeginMarkedContent.PropertyListOperatorKeyword = "BDC"`[static]`

readonly string org.pdfclown.documents.contents.objects.BeginMarkedContent.SimpleOperatorKeyword = "BMC"`[static]`

## Property Documentation

PdfName org.pdfclown.documents.contents.objects.ContentMarker.Name`[get, set, inherited]`

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.Operands`[get, inherited]`

string org.pdfclown.documents.contents.objects.Operation.Operator`[get, inherited]`

object org.pdfclown.documents.contents.objects.ContentMarker.Properties`[get, set, inherited]`

Gets/Sets the private information meaningful to the program (application or plugin extension) creating the marked content. It can be either an inline PropertyList or the name of an external PropertyList resource.

override string org.pdfclown.documents.contents.objects.BeginMarkedContent.PropertyListOperator`[get, protected]`

Reimplemented from org.pdfclown.documents.contents.objects.ContentMarker.

override string org.pdfclown.documents.contents.objects.BeginMarkedContent.SimpleOperator`[get, protected]`

Reimplemented from org.pdfclown.documents.contents.objects.ContentMarker.

PdfName org.pdfclown.documents.contents.objects.ContentMarker.Tag`[get, set, inherited]`

Gets/Sets the marker indicating the role or significance of the marked content.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.